Skip to main content
PUT
/
coa
/
api
/
fixed-asset-automation
/
{id}
/
Update Fixed Asset Automation
curl --request PUT \
  --url https://api.meetcampfire.com/coa/api/fixed-asset-automation/{id}/ \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "entity": 123,
  "account": 123,
  "amount_threshold": 0,
  "asset_class": 123,
  "needs_review": true,
  "forward_looking": true
}
'
import requests

url = "https://api.meetcampfire.com/coa/api/fixed-asset-automation/{id}/"

payload = {
    "name": "<string>",
    "entity": 123,
    "account": 123,
    "amount_threshold": 0,
    "asset_class": 123,
    "needs_review": True,
    "forward_looking": True
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    entity: 123,
    account: 123,
    amount_threshold: 0,
    asset_class: 123,
    needs_review: true,
    forward_looking: true
  })
};

fetch('https://api.meetcampfire.com/coa/api/fixed-asset-automation/{id}/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "entity": 123,
  "entity_name": "<string>",
  "currency": "<string>",
  "account": 123,
  "account_name": "<string>",
  "account_number": "<string>",
  "amount_threshold": 0,
  "asset_class": 123,
  "asset_class_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "last_modified_at": "2023-11-07T05:31:56Z",
  "needs_review": true,
  "forward_looking": true
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
integer
required

Body

Serializer for automation rules

name
string
required

Descriptive name for this rule

Maximum string length: 255
entity
integer
required

Entity this rule applies to (determines book currency)

account
integer
required

Create assets when transactions are posted to this account

amount_threshold
number<double>
required

Minimum transaction amount in book currency (materiality threshold)

Required range: -1000000000000000000 < x < 1000000000000000000
asset_class
integer
required

Asset class to use for created assets

needs_review
boolean

If true, queue assets for review before creation

forward_looking
boolean

Only apply to transactions created after this rule

Response

200 - application/json

Serializer for automation rules

id
integer
required
read-only
name
string
required

Descriptive name for this rule

Maximum string length: 255
entity
integer
required

Entity this rule applies to (determines book currency)

entity_name
string
required
read-only
currency
string
required
read-only

Book currency from entity (auto-populated)

account
integer
required

Create assets when transactions are posted to this account

account_name
string
required
read-only
account_number
string
required
read-only
amount_threshold
number<double>
required

Minimum transaction amount in book currency (materiality threshold)

Required range: -1000000000000000000 < x < 1000000000000000000
asset_class
integer
required

Asset class to use for created assets

asset_class_name
string
required
read-only
created_at
string<date-time>
required
read-only
last_modified_at
string<date-time>
required
read-only
needs_review
boolean

If true, queue assets for review before creation

forward_looking
boolean

Only apply to transactions created after this rule